Блоки

Get Page Blocks

get

Получение списка блоков на странице.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
page_idintegerRequired
Query parameters
skipintegerOptional

Количество пропускаемых записей

Default: 0
limitinteger · min: 1 · max: 100Optional

Максимальное количество записей

Default: 100
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными блока

idintegerRequired
page_idintegerRequired
block_template_idany ofRequired
integerOptional
or
nullOptional
typestringRequired
positionintegerRequired
settingsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/pages/{page_id}/blocks

Create Block

post

Создание нового блока на странице.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
page_idintegerRequired
Body

Схема для создания блока

block_template_idany ofOptional

ID шаблона блока (обязателен для обычных блоков, null для zero-блоков)

integerOptional
or
nullOptional
typestringOptional

Тип блока (template или zeroblock)

Default: template
positionintegerOptional

Позиция блока на странице

Default: 0
settingsany ofOptional

Настройки блока

objectOptional
or
nullOptional
Responses
post
/api/pages/{page_id}/blocks

Get Block

get

Получение блока по ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными блока

idintegerRequired
page_idintegerRequired
block_template_idany ofRequired
integerOptional
or
nullOptional
typestringRequired
positionintegerRequired
settingsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/api/blocks/{block_id}

Delete Block

delete

Удаление блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Responses
delete
/api/blocks/{block_id}

No content

Update Block

patch

Обновление настроек блока.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Body

Схема для обновления настроек блока

settingsobject · SettingsRequired

Обновленные настройки блока

Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными блока

idintegerRequired
page_idintegerRequired
block_template_idany ofRequired
integerOptional
or
nullOptional
typestringRequired
positionintegerRequired
settingsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
patch
/api/blocks/{block_id}

Update Block Position

patch

Обновление позиции блока на странице.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
block_idintegerRequired
Body

Схема для обновления позиции блока

positionintegerRequired

Новая позиция блока

Responses
chevron-right
200

Successful Response

application/json

Схема ответа с данными блока

idintegerRequired
page_idintegerRequired
block_template_idany ofRequired
integerOptional
or
nullOptional
typestringRequired
positionintegerRequired
settingsany ofRequired
objectOptional
or
nullOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
patch
/api/blocks/{block_id}/position

Последнее обновление